extends Control

var clock_txt: Label

func _ready() -> void:
	clock_txt = get_node("Clock_label")

func _process(delta: float) -> void:
	var time_dict = Time.get_time_dict_from_system()
	var time_format: String = "%s:%s"
	var time: String = time_format % [time_dict.hour, time_dict.minute]
	clock_txt.text = time
